package com.example.ttdvaadin.domain;

import java.text.DateFormat;
import java.text.ParseException;
import java.util.Date;

public class Task {

	private Long id;
	private String title = "";
	private String taskBody = "";
	private Date deadline;
	private String importance = "";

	public Task() {
	}

	public Task(String title, String taskBody, String deadline,
			String importance) {
		super();

		DateFormat dateFormatter = DateFormat.getDateInstance(DateFormat.SHORT);
		Date convertedDate = null;

		try {
			convertedDate = dateFormatter.parse(deadline);
		} catch (ParseException e) {
			e.printStackTrace();
		}

		this.deadline = convertedDate;
		this.title = title;
		this.taskBody = taskBody;
		this.importance = importance;
	}

	public Task(String title, String taskBody, String deadline, int importance) {
		super();


		DateFormat dateFormatter = DateFormat.getDateInstance(DateFormat.SHORT);
		Date convertedDate = null;

		try {
			convertedDate = dateFormatter.parse(deadline);
		} catch (ParseException e) {
			e.printStackTrace();
		}

		this.deadline = convertedDate;
		this.title = title;
		this.taskBody = taskBody;
		
		if (importance == 1) {
			this.importance = "not important";
		} else if (importance == 2) {
			this.importance = "a little important";
		} else if (importance == 3) {
			this.importance = "important";
		} else if (importance == 4) {
			this.importance = "very important";
		} else if (importance == 5) {
			this.importance = "very very much important";
		}
		
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTaskBody() {
		return taskBody;
	}

	public void setTaskBody(String taskBody) {
		this.taskBody = taskBody;
	}

	public Date getDeadline() {
		return deadline;
	}

	public void setDeadline(Date deadline) {
		this.deadline = deadline;
	}

	public String getImportance() {
		return importance;
	}

	public void setImportance(String importance) {
		this.importance = importance;
	}


}
